Fenhl

Activity Graph

Page 1 of 1

2019-04-18

[01:03:05] Fenhl: *.net *.split

2019-04-13

[16:49:38] Fenhl: *.net *.split

2019-04-04

[03:21:04] Fenhl: Ping timeout: 264 seconds
[03:23:24] Fenhl: has joined #ruby

2019-02-12

[00:59:47] Fenhl: has joined #RubyOnRails
[00:59:53] Fenhl: has joined #ruby

2019-02-11

[23:46:57] Fenhl: *.net *.split

2018-09-16

[10:57:48] Fenhl: has joined #ruby

2018-09-03

[19:10:25] Fenhl: *.net *.split

2018-08-30

[05:44:32] Fenhl: hello! I'm trying to figure out what the unary minus operator does to a string, but can't find it in the docs. What does it do, and where can I find the docs for it?
[05:47:11] Fenhl: Radar: yes, in this file https://github.com/taw/magic-search-engine/blob/8771e77f2706a6aa342aa468e433eaf8f6c0effc/search-engine/lib/card.rb#L37
[05:47:26] Fenhl: also in line 30
[05:48:54] Fenhl: well I'm not going to touch it for now
[05:50:12] Fenhl: but I just noticed this while fixing a bug in my fork of this project, and was wondering why my code was working without the - operators
[05:50:38] Fenhl: but I guess it would make sense since it seems to be “just” an optimization

2018-07-20

[00:07:23] Fenhl: *.net *.split
[00:15:46] Fenhl: has joined #ruby

2018-06-20

[03:49:38] Fenhl: Ping timeout: 255 seconds
[05:25:16] Fenhl: has joined #ruby
[05:57:15] Fenhl: Ping timeout: 276 seconds
[06:27:02] Fenhl: has joined #ruby

2018-05-29

[02:47:05] Fenhl: *.net *.split
[02:48:02] Fenhl: has joined #ruby

2018-05-19

[14:43:06] Fenhl: Ping timeout: 256 seconds
[14:45:42] Fenhl: has joined #ruby

2018-04-26

[02:12:50] Fenhl: Ping timeout: 256 seconds

2018-04-25

[12:25:55] Fenhl: *.net *.split
[12:27:10] Fenhl: has joined #ruby
[15:01:26] Fenhl: *.net *.split
[15:03:26] Fenhl: has joined #ruby

2018-04-24

[12:01:59] Fenhl: has joined #ruby

2018-03-22

[07:26:22] Fenhl: *.net *.split
[07:26:51] Fenhl: has joined #ruby
[14:04:22] Fenhl: Ping timeout: 256 seconds
[14:05:57] Fenhl: has joined #ruby

2018-03-16

[16:03:02] Fenhl: *.net *.split
[16:10:56] Fenhl: has joined #RubyOnRails
[16:11:08] Fenhl: has joined #ruby

2018-03-02

[04:18:53] Fenhl: has joined #RubyOnRails
[04:19:05] Fenhl: has joined #ruby

2018-02-28

[23:21:05] Fenhl: Ping timeout: 256 seconds
[23:23:37] Fenhl: has joined #RubyOnRails
[23:23:49] Fenhl: has joined #ruby
[23:24:20] Fenhl: Max SendQ exceeded
[23:24:56] Fenhl: has joined #RubyOnRails
[23:25:10] Fenhl: has joined #ruby
[23:26:19] Fenhl: Max SendQ exceeded
[23:26:39] Fenhl: has joined #RubyOnRails
[23:26:51] Fenhl: has joined #ruby
[23:27:21] Fenhl: Max SendQ exceeded
[23:27:42] Fenhl: has joined #RubyOnRails
[23:27:54] Fenhl: has joined #ruby

2018-01-23

[01:24:09] Fenhl: has joined #RubyOnRails
[01:24:10] Fenhl: has joined #ruby

2018-01-22

[23:26:12] Fenhl: Ping timeout: 256 seconds

2018-01-16

[09:02:28] Fenhl: has joined #RubyOnRails
[09:02:29] Fenhl: has joined #ruby

2017-12-26

2017-12-25

[13:00:09] Fenhl: has joined #RubyOnRails
[13:00:13] Fenhl: has joined #ruby

2017-12-17

2017-12-01

[02:28:56] Fenhl: has joined #ruby

2017-11-08

[09:43:34] Fenhl: *.net *.split
[09:49:06] Fenhl: has joined #ruby
[09:49:08] Fenhl: has joined #RubyOnRails

2017-10-22

[07:47:35] Fenhl: Ping timeout: 240 seconds
[09:47:45] Fenhl: has joined #ruby
[09:47:45] Fenhl: has joined #RubyOnRails

2017-09-11

[20:24:10] Fenhl: *.net *.split
[22:15:17] Fenhl: has joined #ruby
[22:15:17] Fenhl: has joined #RubyOnRails

2017-08-15

[06:42:27] Fenhl: has joined #RubyOnRails

2017-08-14

[23:51:33] Fenhl: *.net *.split
[23:56:16] Fenhl: has joined #ruby
[23:56:29] Fenhl: has joined #ruby
[23:56:29] Fenhl: Changing host

2017-07-01

[15:11:39] Fenhl: hello. I host a web service which won't start any more since I upgraded to Debian jessie. Error message during `bundle install` is as follows: rack-2.0.3 requires ruby version >= 2.2.2, which is incompatible with the current version, ruby 2.1.5p273
[15:12:22] Fenhl: `ruby --version` outputs “ruby 2.3.3p222 (2016-11-21) [x86_64-linux-gnu]”. Any ideas? I'm mostly unfamiliar with the toolchains involved here
[15:13:07] Fenhl: the code for the web service in question is at https://github.com/fenhl/lore-seeker
[15:17:12] Fenhl: fryguy: through apt, if I remember correctly
[15:21:48] Fenhl: fryguy: /usr/bin/ruby
[15:22:10] Fenhl: in /usr/local/bin
[15:23:46] Fenhl: I want to say using gem, but it doesn't show up in `gem list --local` or `sudo gem list --local`
[15:26:25] Fenhl: installing it correctly meaning using apt, or gem?
[15:31:11] Fenhl: okay, I don't have an additional ruby install in /usr/local/bin at least. Also I meant stretch earlier, not jessie (oops)
[15:34:34] Fenhl: reinstalling bundler fixed it, thanks for the help fryguy

2017-06-30

[01:31:58] Fenhl: hello, I recently updated my server to Debian jessie and now one of the web apps I'm running on it won't work anymore. It's the only one that uses Ruby and I'm a bit lost since I don't really work with the language at all
[01:32:13] Fenhl: this is the error message I get when I follow the instructions: rack-2.0.3 requires ruby version >= 2.2.2, which is incompatible with the current version, ruby 2.1.5p273
[01:32:35] Fenhl: the code in question is at https://github.com/taw/magic-search-engine
[01:33:22] Fenhl: both `ruby --version` and `sudo ruby --version` output ruby 2.3.3p222 (2016-11-21) [x86_64-linux-gnu]
[01:38:15] Fenhl: has joined #RubyOnRails

2017-06-23

[17:47:08] Fenhl: has joined #ruby
[17:51:20] Fenhl: hello, I'm trying to run a script from something installed using bundle (https://github.com/taw/magic-search-engine) and getting this error about libruby not being loaded. I have no idea what that means. Any ideas? https://www.irccloud.com/pastebin/upMXtqsF/
[17:53:06] Fenhl: (I am on macOS 10.12.5)